%define oname yad
%define version 0.25.1
%define release %mkrel 1

Name:      %{oname}-gtk3
Version:   %{version}
Release:   %{release}
Summary:   Call GTK3 graphical dialog boxes from command line
Group:     Development/GNOME and GTK+
License:   GPLv3+
URL:       http://yad.googlecode.com
Source0:   http://yad.googlecode.com/files/%{oname}-%{version}.tar.xz

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  perl(XML::Parser)
BuildRequires:  intltool >= 0.40.0
Provides:       yad = %{version}-%{release}
Conflicts:      yad-gtk2

%description
Yad (yet another dialog) is a fork of zenity with many improvements, such as
custom buttons, additional dialogs, pop-up menu in notification icon and more.
This is GTK3 build of Yad. For GTK2 build install yad-gtk2 package.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure --enable-icon-browser \
           --with-gtk=gtk3
%make

%install
%makeinstall_std

%find_lang %{oname}

# Encoding key in group "Desktop Entry" is deprecated.
# Place the menu entry for yad-icon-browser under "Utilities".
desktop-file-install --remove-key Encoding     \
    --remove-category Development              \
    --add-category    Utility                  \
    --dir=%{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/%{oname}-icon-browser.desktop


%files -f %{oname}.lang
%doc README ChangeLog AUTHORS NEWS THANKS
%{_bindir}/%{oname}
%{_bindir}/%{oname}-icon-browser
%{_iconsdir}/hicolor/*/apps/%{oname}.png
%{_datadir}/applications/%{oname}-icon-browser.desktop
%{_datadir}/aclocal/%{oname}.m4
%{_mandir}/man1/%{oname}.1.*


%changelog
* Fri Dec 20 2013 tarakbumba <tarakbumba> 0.25.1-1.mga4
+ Revision: 559027
- imported package yad-gtk3

